DSA-5323-1

Source
https://storage.googleapis.com/debian-osv/dsa-osv/DSA-5323-1.json
Aliases
Published
2023-01-19T00:00:00Z
Modified
2023-01-20T00:23:28.030519Z
Details

It was discovered that the CompareTool of iText, a Java PDF library which uses the external ghostscript software to compare PDFs at a pixel level, allowed command injection when parsing a specially crafted filename.

For the stable distribution (bullseye), this problem has been fixed in version 5.5.13.2-1+deb11u1.

We recommend that you upgrade your libitext5-java packages.

For the detailed security status of libitext5-java please refer to its security tracker page at: \ https://security-tracker.debian.org/tracker/libitext5-java.

References

Affected packages

Debian:11 / libitext5-java

libitext5-java

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0
Fixed
5.5.13.2-1+deb11u1

Affected versions

5.*

5.5.13.2-1